package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.UserRoleDetail;
import com.sa.ibiz.demo.demo.service.dto.UserRoleDetailSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[UserRoleDetail] 服务对象接口
 */
public interface UserRoleDetailService extends IService<UserRoleDetail>{

		UserRoleDetail get(UserRoleDetail et);
	boolean remove(UserRoleDetail et);
	boolean getDraft(UserRoleDetail et);
	boolean update(UserRoleDetail et);
	boolean create(UserRoleDetail et);
	boolean checkKey(UserRoleDetail et);
    List<UserRoleDetail> listDefault(UserRoleDetailSearchFilter filter) ;
	Page<UserRoleDetail> searchDefault(UserRoleDetailSearchFilter filter);
	/**	 实体[UserRoleDetail] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }